#include "guess.h"
int find_number(int MAX) {
    int l = 1, r = MAX, ans = -1;

    while (l <= r) {
        int mid = (l + r) / 2;

        if (smaller(mid)) {
            r = mid - 1;
        } else {
            ans = mid;
            l = mid + 1;
        }
    }

    return ans;
}

